This page was not yet optimized for use on mobile devices.
HikSSL
Certificate details
| Certificate ID | #3228 |
|---|---|
| Status | historical |
| Historical reason | SP 800-56Arev3 transition |
| Validation dates | 12.07.2018 |
| Standard | FIPS 140-2 |
| Security level | 1 |
| Type | Software |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in FIPS mode |
| Exceptions |
|
| Description | The HikSSL Library module is a software library embedded into Hikvision Network Camera and Network Video Recorder (NVR) products, that provides Transport Layer Security (TLS) functionality, and general purpose cryptographic algorithms. |
| Tested configurations |
|
| Vendor | Hangzhou Hikvision Digital Technology Co., Ltd. http://www.hikvision.com |
| Lab | atsec information security corporation |
| Algorithms | |
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, AES128, AES192, AES256, AES-256, RC5, DES, Triple-DES, TDEA, HMAC, HMAC-SHA-256, HMAC-SHA-224, HMAC-SHA-384, HMAC-SHA-512, CMACAsymmetric Algorithms
ECDSA, ECC, Diffie-Hellman, DH, DSAHash functions
SHA-1, SHA-224, SHA-256, SHA-384, SHA-512, MD4, MD5, RIPEMD160Schemes
MAC, Key AgreementProtocols
SSLv2.0, SSL v3.0, TLS, TLS v1.2, TLSv1.0, TLSv1.1, TLSv1.2Randomness
PRNG, DRBG, RNGLibraries
OpenSSLElliptic Curves
P-256, P-384, P-521Block cipher modes
ECB, CBC, CTR, CFB, OFB, GCM, CCM, XTSTLS cipher suites
TLS_RSA_WITH_3DES_EDE_CBC_SHA, TLS_DH_DSS_WITH_3DES_EDE_CBC_SHA, TLS_DH_RSA_WITH_3DES_EDE_CBC_SHA, TLS_DHE_DSS_WITH_3DES_EDE_CBC_SHA, TLS_DHE_RSA_WITH_3DES_EDE_CBC_SHA, TLS_RSA_WITH_AES_128_CBC_SHA, TLS_DH_DSS_WITH_AES_128_CBC_SHA, TLS_DH_RSA_WITH_AES_128_CBC_SHA, TLS_DHE_DSS_WITH_AES_128_CBC_SHA, TLS_DHE_RSA_WITH_AES_128_CBC_SHA, TLS_RSA_WITH_AES_256_CBC_SHA, TLS_DH_DSS_WITH_AES_256_CBC_SHA, TLS_DH_RSA_WITH_AES_256_CBC_SHA, TLS_DHE_DSS_WITH_AES_256_CBC_SHA, TLS_DHE_RSA_WITH_AES_256_CBC_SHA, TLS_RSA_WITH_AES_128_CBC_SHA256, TLS_RSA_WITH_AES_256_CBC_SHA256, TLS_DH_DSS_WITH_AES_128_CBC_SHA256, TLS_DH_RSA_WITH_AES_128_CBC_SHA256, TLS_DHE_DSS_WITH_AES_128_CBC_SHA256, TLS_DHE_RSA_WITH_AES_128_CBC_SHA256, TLS_DH_DSS_WITH_AES_256_CBC_SHA256, TLS_DH_RSA_WITH_AES_256_CBC_SHA256, TLS_DHE_DSS_WITH_AES_256_CBC_SHA256, TLS_DHE_RSA_WITH_AES_256_CBC_SHA256, TLS_PSK_WITH_3DES_EDE_CBC_SHA, TLS_PSK_WITH_AES_128_CBC_SHA, TLS_PSK_WITH_AES_256_CBC_SHA, TLS_RSA_WITH_AES_128_GCM_SHA256, TLS_RSA_WITH_AES_256_GCM_SHA384, TLS_DHE_RSA_WITH_AES_128_GCM_SHA256, TLS_DHE_RSA_WITH_AES_256_GCM_SHA384, TLS_DH_RSA_WITH_AES_128_GCM_SHA256, TLS_DH_RSA_WITH_AES_256_GCM_SHA384, TLS_DHE_DSS_WITH_AES_128_GCM_SHA256, TLS_DHE_DSS_WITH_AES_256_GCM_SHA384, TLS_DH_DSS_WITH_AES_128_GCM_SHA256, TLS_DH_DSS_WITH_AES_256_GCM_SHA384, TLS_ECDH_ECDSA_WITH_3DES_EDE_CBC_SHA, TLS_ECDH_ECDSA_WITH_AES_128_CBC_SHA, TLS_ECDH_ECDSA_WITH_AES_256_CBC_SHA, TLS_ECDHE_ECDSA_WITH_3DES_EDE_CBC_SHA, TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA, TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA, TLS_ECDH_RSA_WITH_3DES_EDE_CBC_SHA, TLS_ECDH_RSA_WITH_AES_128_CBC_SHA, TLS_ECDH_RSA_WITH_AES_256_CBC_SHA, TLS_ECDHE_RSA_WITH_3DES_EDE_CBC_SHA, TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA, TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA, TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA256, TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA384, TLS_ECDH_ECDSA_WITH_AES_128_CBC_SHA256, TLS_ECDH_ECDSA_WITH_AES_256_CBC_SHA384, TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256, TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384, TLS_ECDH_RSA_WITH_AES_128_CBC_SHA256, TLS_ECDH_RSA_WITH_AES_256_CBC_SHA384, TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256, TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384, TLS_ECDH_ECDSA_WITH_AES_128_GCM_SHA256, TLS_ECDH_ECDSA_WITH_AES_256_GCM_SHA384, TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256, TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384, TLS_ECDH_RSA_WITH_AES_128_GCM_SHA256, TLS_ECDH_RSA_WITH_AES_256_GCM_SHA384Security level
Level 1Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 3228,
"dgst": "6dddd87c9d4fa4b6",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"Triple-DES#2661",
"#3481",
"CVL#1734",
"#1362",
"#2812",
"RSA#2813",
"#1731",
"#1732",
"#1371",
"#4232",
"RSA#2812",
"#1733",
"CVL#1731",
"HMAC#3481",
"KTS#5259",
"#1363",
"CVL#1732",
"DSA#1362",
"#5259",
"#2012",
"#2661",
"#3482",
"#4233",
"AES#5259",
"DRBG#2012",
"ECDSA#1371",
"DSA#1363",
"DRBG#2015",
"#2662",
"ECDSA#1372",
"#2015",
"#2813",
"#5262",
"AES#5262",
"#1734",
"HMAC#3482",
"SHS#4232",
"Triple-DES#2662",
"KTS#5262",
"SHS#4233",
"#1372",
"CVL#1733"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"-"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 42,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECC": {
"ECC": 6
},
"ECDSA": {
"ECDSA": 28
}
},
"FF": {
"DH": {
"DH": 1,
"Diffie-Hellman": 35
},
"DSA": {
"DSA": 30
}
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 3
},
"CCM": {
"CCM": 5
},
"CFB": {
"CFB": 1
},
"CTR": {
"CTR": 2
},
"ECB": {
"ECB": 7
},
"GCM": {
"GCM": 9
},
"OFB": {
"OFB": 3
},
"XTS": {
"XTS": 8
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {
"OpenSSL": {
"OpenSSL": 1
}
},
"crypto_protocol": {
"TLS": {
"SSL": {
"SSL v3.0": 1,
"SSLv2.0": 1
},
"TLS": {
"TLS": 48,
"TLS v1.2": 1,
"TLSv1.0": 2,
"TLSv1.1": 2,
"TLSv1.2": 1
}
}
},
"crypto_scheme": {
"KA": {
"Key Agreement": 11
},
"MAC": {
"MAC": 8
}
},
"device_model": {},
"ecc_curve": {
"NIST": {
"P-256": 18,
"P-384": 14,
"P-521": 14
}
},
"eval_facility": {
"atsec": {
"atsec": 41
}
},
"fips_cert_id": {
"Cert": {
"#1362": 4,
"#1371": 4,
"#1731": 5,
"#1732": 1,
"#1733": 5,
"#1734": 1,
"#2012": 2,
"#2661": 2,
"#2812": 1,
"#3481": 1,
"#4232": 1,
"#5259": 4
}
},
"fips_certlike": {
"Certlike": {
"#1731 CVL": 3,
"#1732 CVL": 1,
"#2015 DRBG": 2,
"#2813 RSA": 1,
"#3482 HMAC": 1,
"#4233 SHS": 1,
"#5262 AES": 4,
"AES-256": 2,
"AES128": 1,
"AES192": 1,
"AES256": 1,
"CVL #1731": 3,
"CVL #1732": 1,
"HMAC-SHA-1": 2,
"HMAC-SHA-224": 2,
"HMAC-SHA-256": 4,
"HMAC-SHA-384": 2,
"HMAC-SHA-512": 2,
"HMAC-SHA256": 2,
"PKCS#1": 2,
"SHA-1": 15,
"SHA-224": 13,
"SHA-256": 23,
"SHA-384": 15,
"SHA-512": 13,
"SHA-512 1024": 2,
"SHA-512 112": 1,
"SHA-512 2048 and 3072": 2
}
},
"fips_security_level": {
"Level": {
"Level 1": 4
}
},
"hash_function": {
"MD": {
"MD4": {
"MD4": 2
},
"MD5": {
"MD5": 4
}
},
"RIPEMD": {
"RIPEMD160": 2
},
"SHA": {
"SHA1": {
"SHA-1": 15
},
"SHA2": {
"SHA-224": 13,
"SHA-256": 23,
"SHA-384": 15,
"SHA-512": 18
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 29,
"PRNG": 1
},
"RNG": {
"RNG": 1
}
},
"side_channel_analysis": {},
"standard_id": {
"FIPS": {
"FIPS 140-2": 50,
"FIPS 186-4": 4,
"FIPS PUB 140-2": 2,
"FIPS140-2": 1,
"FIPS180-4": 2,
"FIPS186-4": 7,
"FIPS197": 7,
"FIPS198-1": 2
},
"NIST": {
"SP 800-52": 1,
"SP 800-57": 1
},
"PKCS": {
"PKCS#1": 1
},
"RFC": {
"RFC2246": 6,
"RFC3268": 12,
"RFC4279": 3,
"RFC4492": 15,
"RFC5246": 12,
"RFC5288": 13,
"RFC5289": 16
},
"X509": {
"X.509": 6
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 42,
"AES-256": 2,
"AES128": 1,
"AES192": 1,
"AES256": 1
},
"RC": {
"RC5": 2
}
},
"DES": {
"3DES": {
"TDEA": 1,
"Triple-DES": 23
},
"DES": {
"DES": 5
}
},
"constructions": {
"MAC": {
"CMAC": 9,
"HMAC": 21,
"HMAC-SHA-224": 1,
"HMAC-SHA-256": 2,
"HMAC-SHA-384": 1,
"HMAC-SHA-512": 1
}
}
},
"tee_name": {},
"tls_cipher_suite": {
"TLS": {
"TLS_DHE_DSS_WITH_3DES_EDE_CBC_SHA": 1,
"TLS_DHE_DSS_WITH_AES_128_CBC_SHA": 1,
"TLS_DHE_DSS_WITH_AES_128_CBC_SHA256": 1,
"TLS_DHE_DSS_WITH_AES_128_GCM_SHA256": 1,
"TLS_DHE_DSS_WITH_AES_256_CBC_SHA": 1,
"TLS_DHE_DSS_WITH_AES_256_CBC_SHA256": 1,
"TLS_DHE_DSS_WITH_AES_256_GCM_SHA384": 1,
"TLS_DHE_RSA_WITH_3DES_EDE_CBC_SHA": 1,
"TLS_DHE_RSA_WITH_AES_128_CBC_SHA": 1,
"TLS_DHE_RSA_WITH_AES_128_CBC_SHA256": 1,
"TLS_DHE_RSA_WITH_AES_128_GCM_SHA256": 1,
"TLS_DHE_RSA_WITH_AES_256_CBC_SHA": 1,
"TLS_DHE_RSA_WITH_AES_256_CBC_SHA256": 1,
"TLS_DHE_RSA_WITH_AES_256_GCM_SHA384": 1,
"TLS_DH_DSS_WITH_3DES_EDE_CBC_SHA": 1,
"TLS_DH_DSS_WITH_AES_128_CBC_SHA": 1,
"TLS_DH_DSS_WITH_AES_128_CBC_SHA256": 1,
"TLS_DH_DSS_WITH_AES_128_GCM_SHA256": 1,
"TLS_DH_DSS_WITH_AES_256_CBC_SHA": 1,
"TLS_DH_DSS_WITH_AES_256_CBC_SHA256": 1,
"TLS_DH_DSS_WITH_AES_256_GCM_SHA384": 1,
"TLS_DH_RSA_WITH_3DES_EDE_CBC_SHA": 1,
"TLS_DH_RSA_WITH_AES_128_CBC_SHA": 1,
"TLS_DH_RSA_WITH_AES_128_CBC_SHA256": 1,
"TLS_DH_RSA_WITH_AES_128_GCM_SHA256": 1,
"TLS_DH_RSA_WITH_AES_256_CBC_SHA": 1,
"TLS_DH_RSA_WITH_AES_256_CBC_SHA256": 1,
"TLS_DH_RSA_WITH_AES_256_GCM_SHA384": 1,
"TLS_ECDHE_ECDSA_WITH_3DES_EDE_CBC_SHA": 1,
"TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA": 1,
"TLS_ECDHE_ECDSA_WITH_AES_128_CBC_SHA256": 1,
"TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256": 1,
"TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA": 1,
"TLS_ECDHE_ECDSA_WITH_AES_256_CBC_SHA384": 1,
"TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384": 1,
"TLS_ECDHE_RSA_WITH_3DES_EDE_CBC_SHA": 1,
"TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA": 1,
"TLS_ECDHE_RSA_WITH_AES_128_CBC_SHA256": 1,
"TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256": 1,
"TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA": 1,
"TLS_ECDHE_RSA_WITH_AES_256_CBC_SHA384": 1,
"TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384": 1,
"TLS_ECDH_ECDSA_WITH_3DES_EDE_CBC_SHA": 1,
"TLS_ECDH_ECDSA_WITH_AES_128_CBC_SHA": 1,
"TLS_ECDH_ECDSA_WITH_AES_128_CBC_SHA256": 1,
"TLS_ECDH_ECDSA_WITH_AES_128_GCM_SHA256": 1,
"TLS_ECDH_ECDSA_WITH_AES_256_CBC_SHA": 1,
"TLS_ECDH_ECDSA_WITH_AES_256_CBC_SHA384": 1,
"TLS_ECDH_ECDSA_WITH_AES_256_GCM_SHA384": 1,
"TLS_ECDH_RSA_WITH_3DES_EDE_CBC_SHA": 1,
"TLS_ECDH_RSA_WITH_AES_128_CBC_SHA": 1,
"TLS_ECDH_RSA_WITH_AES_128_CBC_SHA256": 1,
"TLS_ECDH_RSA_WITH_AES_128_GCM_SHA256": 1,
"TLS_ECDH_RSA_WITH_AES_256_CBC_SHA": 1,
"TLS_ECDH_RSA_WITH_AES_256_CBC_SHA384": 1,
"TLS_ECDH_RSA_WITH_AES_256_GCM_SHA384": 1,
"TLS_PSK_WITH_3DES_EDE_CBC_SHA": 1,
"TLS_PSK_WITH_AES_128_CBC_SHA": 1,
"TLS_PSK_WITH_AES_256_CBC_SHA": 1,
"TLS_RSA_WITH_3DES_EDE_CBC_SHA": 1,
"TLS_RSA_WITH_AES_128_CBC_SHA": 1,
"TLS_RSA_WITH_AES_128_CBC_SHA256": 1,
"TLS_RSA_WITH_AES_128_GCM_SHA256": 1,
"TLS_RSA_WITH_AES_256_CBC_SHA": 1,
"TLS_RSA_WITH_AES_256_CBC_SHA256": 1,
"TLS_RSA_WITH_AES_256_GCM_SHA384": 1
}
},
"vendor": {},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"Triple-DES#2661",
"CVL#1734",
"RSA#2813",
"RSA#2812",
"CVL#1731",
"HMAC#3481",
"KTS#5259",
"CVL#1732",
"DSA#1362",
"AES#5259",
"DRBG#2012",
"ECDSA#1371",
"DSA#1363",
"DRBG#2015",
"ECDSA#1372",
"AES#5262",
"HMAC#3482",
"SHS#4232",
"Triple-DES#2662",
"KTS#5262",
"SHS#4233",
"CVL#1733"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#3481",
"#1362",
"#2812",
"#1732",
"#1372",
"#1371",
"#4232",
"#1733",
"#1363",
"#5259",
"#2012",
"#2661",
"#3482",
"#4233",
"#2662",
"#2015",
"#2813",
"#5262",
"#1734",
"#1731"
]
},
"policy_metadata": {
"/AAPL:Keywords": "[]",
"/Author": "Marcos Portnoi",
"/CreationDate": "D:20180626152618Z00\u002700\u0027",
"/Creator": "Word",
"/Keywords": "",
"/ModDate": "D:20180626152618Z00\u002700\u0027",
"/Producer": "Mac OS X 10.13.5 Quartz PDFContext",
"/Subject": "",
"/Title": "HikSSL-SecurityPolicy",
"pdf_file_size_bytes": 442594,
"pdf_hyperlinks": {
"_type": "Set",
"elements": []
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 39
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "9c732f827089ebd35ccb0a79c7e69a9f86d4b481125b315da2322407197f904c",
"source_hash": "71e777259d32809b04cfbb38cc3a0333136f857b02556dfc57b78450bedead4d",
"txt_hash": "4c7346654aa42b48bb0b5aea5e2ae9a093ba3b8cd962cba1b642adc31ded050b"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in FIPS mode",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/JulyConsolidatedCert.pdf",
"date_sunset": null,
"description": "The HikSSL Library module is a software library embedded into Hikvision Network Camera and Network Video Recorder (NVR) products, that provides Transport Layer Security (TLS) functionality, and general purpose cryptographic algorithms.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Physical Security: N/A",
"Mitigation of Other Attacks: N/A"
],
"fw_versions": null,
"historical_reason": "SP 800-56Arev3 transition",
"hw_versions": null,
"level": 1,
"mentioned_certs": {},
"module_name": "HikSSL",
"module_type": "Software",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": "1.0.0",
"tested_conf": [
"Linux Hikvision version 3.10.73+ running on Network Camera model number DS-2CD2742FWD-IZS (single user mode)",
"Linux version 3.10.0_hi3536 (custom) running on NVR model number DS-7716NI-I4/16P",
"Linux version 3.10.0_hi3536 (custom) running on NVR model number DS-7732NI-I4/16P",
"Linux version 3.10.0_hi3536 (custom) running on NVR model number DS-9632NI-I8"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2018-07-12",
"lab": "atsec information security corporation",
"validation_type": "Initial"
}
],
"vendor": "Hangzhou Hikvision Digital Technology Co., Ltd.",
"vendor_url": "http://www.hikvision.com"
}
}